#ifndef _WORLD_H
#define _WORLD_H

#include <string>
#include <vector>
using std::string;
using std::vector;

#include <Ogre.h>

#include "Element.h"

class World
{
public:
  World(Ogre::SceneManager *smgr, string name);
  ~World();

  Ogre::RaySceneQuery* getRay();

  void applyGravity(vector<Element*> elements);

private:
  Ogre::RaySceneQuery *vRay;


};


#endif /* _WORLD_H */
